/*
* main.c
*
* Created: 17.04.2017 14:04:56
* Author : Master
*
* Demonstration of two threads manipulating one LED
* Hardware: atmega328P Xplained Mini
*/

#include <stddef.h>
#include <avr/io.h>
#include <util/delay.h>

#include "thread.h"

#define LED1MASK 0x01
#define LED2MASK 0x02

threadStatus_t led1(threadStatus_t state, void * argument)
{
	PINB = (1 << PINB5); 			//toggle LED
	_delay_ms(50.0);
	PINB = (1 << PINB5);			//toggle LED
	return THREAD_STATUS_DEFAULT;
}

threadStatus_t led2(threadStatus_t state, void * argument)
{
	PORTB |= (1 << PINB5);			//LED on
	_delay_ms(1500.0);
	PORTB &= ~(1 << PINB5);			//LED off
	return THREAD_STATUS_DEFAULT;
}


int main(void)
{
	DDRB |= (1<<PINB5);
	threadAdd(led1, NULL, 300/THREAD_MS_PER_TICK);
	threadAdd(led2, NULL, 6000/THREAD_MS_PER_TICK);
	threadStart();

	while (1) // idleLoop
	{
	}
}

